---
name: James Liu
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/development/backend/#secure">Senior
  Backend Engineer, Secure:Static Analysis</a>
reports_to: amarpatel
picture: jamesliu.jpg
pronouns: he/him
pronunciation:
twitter:
linkedin: jamesliuau
gitlab: jamesliu-gitlab
departments:
- Engineering Function
- Development Department
- Sec Section
- Secure:Static Analysis BE Team
projects:
  gitlab-cli: reviewer
  secure-analyzers: reviewer go
  secure-SAST-kics: maintainer
  secure-SAST-mobsf: maintainer
  secure-SAST-semgrep: maintainer
  secure-SD-secrets: maintainer
  secure-SAST-bandit: reviewer
  secure-SAST-brakeman: reviewer
  secure-SAST-codequality: reviewer
  secure-SAST-eslint: reviewer
  secure-SAST-flawfinder: maintainer
  secure-SAST-gosec: reviewer
  secure-SAST-kubesec: reviewer
  secure-SAST-nodejs-scan: maintainer
  secure-SAST-phpcs-security-audit: reviewer
  secure-SAST-pmd-apex: maintainer
  secure-SAST-security-code-scan: reviewer
  secure-SAST-sobelow: reviewer
  secure-SAST-spotbugs: maintainer
  secure-SAST-tracking-calculator: reviewer
  secure-common-command: reviewer
  secure-common-report: reviewer
  secure-common-ruleset: maintainer
specialty: 'Secure: Static Analysis'
expertise:
story: |
  James began his programming career in Microsoft Excel, automating spreadsheet reports with VBA.
  He somehow enjoyed that enough to pursue other avenues of software development using tools produced in the current century, eventually landing in the backend.
  Outside of work, James buys too many books (but reads too little), plays videogames, and very occasionally <a href="https://500px.com/p/disposedtrolley">practices photography</a>.

